VECTOR(3NCARG)

NAME
VECTOR - generates a "pen-down" move to a specified point in the user coordinate system. VECTOR is used in conjunction with the routine FRSTPT to draw lines.

SYNOPSIS
CALL VECTOR (PX,PY)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_vector (float px, float py)

DESCRIPTION

PX  (an input expression of type REAL) defines the X user coordinate.

PY  (an input expression of type REAL) defines the Y user coordinate.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
Polyline type, line width, and color can be set by calling the GKS routines GSLN, GSLWSC, GSCR, and GSPLCI before calling VECTOR.

Note that, for the sake of efficiency, the routines FRSTPT and VECTOR buffer the polylines resulting from pen moves. One must be sure to flush the SPPS polyline buffer before changing polyline attributes. A "CALL PLOTIF (0.,0.,2)" will flush the buffer.

EXAMPLES
Use the ncargex command to see the following relevant examples: tgflas.

ACCESS
To use VECTOR or c_vector, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: gpl, gsln, gslwsc, gscr, gsplci, spps, spps_params, frstpt, line, curve, ncarg_cbind

Hardcopy: NCAR Graphics Fundamentals, UNIX Version; User's Guide for NCAR GKS-0A Graphics

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.